Bug 48422 - [GTK] Use sentence boundaries instead of start/end sentence
Summary: [GTK] Use sentence boundaries instead of start/end sentence
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 05:55 PDT by Carlos Garcia Campos
Modified: 2010-11-03 18:55 PDT (History)
1 user (show)

See Also:


Attachments
Patch (2.53 KB, patch)
2010-10-27 06:07 PDT, Carlos Garcia Campos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2010-10-27 05:55:20 PDT
From pango docs:

/* There are two ways to divide sentences. The first assigns all
   * intersentence whitespace/control/format chars to some sentence,
   * so all chars are in some sentence; is_sentence_boundary denotes
   * the boundaries there. The second way doesn't assign
   * between-sentence spaces, etc. to any sentence, so
   * is_sentence_start/is_sentence_end mark the boundaries of those
   * sentences.
   */

ICU seems to use the first way while TextBreakIteratorGtk uses the second one. We should use is_sentence_boundary in TextBreakIteratorGtk to get the same results that ICU.
Comment 1 Carlos Garcia Campos 2010-10-27 06:07:17 PDT
Created attachment 72023 [details]
Patch

It fixes test fast/dom/Range/range-expand.html, actually it doesn't pass, but sentence tests don't fail, only Chinese word tests are failing because of pango bug https://bugzilla.gnome.org/show_bug.cgi?id=97545
Comment 2 Martin Robinson 2010-10-27 10:02:43 PDT
Comment on attachment 72023 [details]
Patch

Great.
Comment 3 WebKit Commit Bot 2010-10-27 11:20:47 PDT
Comment on attachment 72023 [details]
Patch

Rejecting patch 72023 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', 'apply-attachment', '--force-clean', '--non-interactive', 72023]" exit_code: 2
Last 500 characters of output:
 u'Martin Robinson', u'--force']" exit_code: 1
Parsed 2 diffs from patch file(s).
patching file WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file WebCore/platform/text/gtk/TextBreakIteratorGtk.cpp
Hunk #1 FAILED at 300.
Hunk #2 FAILED at 315.
2 out of 2 hunks FAILED -- saving rejects to file WebCore/platform/text/gtk/TextBreakIteratorGtk.cpp.rej

Failed to run "[u'/Projects/CommitQueue/WebKitTools/Scripts/svn-apply', u'--reviewer', u'Martin Robinson', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/4775046
Comment 4 Carlos Garcia Campos 2010-10-29 09:09:39 PDT
Comment on attachment 72023 [details]
Patch

It should apply now
Comment 5 WebKit Commit Bot 2010-11-03 18:55:48 PDT
Comment on attachment 72023 [details]
Patch

Clearing flags on attachment: 72023

Committed r71296: <http://trac.webkit.org/changeset/71296>
Comment 6 WebKit Commit Bot 2010-11-03 18:55:53 PDT
All reviewed patches have been landed.  Closing bug.